<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>OMV-Services</title>
		<meta http-equiv="Content-Type"
		content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="style.css"
		type="text/css" media="screen" />
	</head>
<!--****************************************************************
	Server-HTTP-Service-Dashboard

Dieses PHP-Skript liest aus den Dateinamen von Logodateien die
entsprechenden URLs für den Dienst auf dem jeweilligen Server aus
und zeigt diese an.
So können auf einem Server der mehrere HTTP-Dienste anbietet, diese
bequem "angesurft" werden.

Die Dateinamen sollten hierbei folgendes Schemata haben:
 * 'Dienst_Name_Port.png'
 * 'Sortiernummer_Dienst_Name_Port.png'

 - "Dienst_Name" ist hierbei durch den anzugeigenden Text zu ersetzen,
    Unterstriche werden hierbei durch Leerzeichen ersetzt.
 - "Port" ist durch den jeweillgen Port zu ersetzen. Ist der letzte
   Abschnitt nach einem Unterstrich keine Ziffer, wird der Standardport
   80 verwendet.
 - "Sortiernummer" ist eine Nummer, mit der die Alphabetische Sortierung
   'überstimmt' werden kann. Eine anführende Nummer im Dateinamen wird
   nicht angezeigt.

 Beispiele: 
  * "1_OMV_80.png" => Text: "OMV", URL: "host:80"
  * "Emby_8096.png" => Text: "Emby", URL: "host:8096"; wird nach "OMV"
    einsortiert.
********************************************************************-->
	<body>
		<h1>OMV-HTTP-Services</h1>

		<?php
/*********************************************************************		
// Hier befinden sich die Einstellungen die getätigt werden müssen: //
*********************************************************************/		
			//Auf passenden Hostnamen ändern
			$HostName = "localhost";
			//$HostName = omv.fritz.box;

			$LogoDirectory = "logos/";	//Verzeichnis in dem sich die Logos befinden
			$LogoExtension = "png";		//Dateiendung für die Logos

			include ("ClassServices.php");
			$ServerServices = new HttpServices($HostName, $LogoDirectory, $LogoExtension);
		?>

		<ul id = "ServiceList">
			<?php foreach($ServerServices->GetServices() as $ServerService) 
				{ ?>
					<li id = "ServiceListElement">
						<a href = <?php echo $ServerService->GetURL();?>>
							<div id = "ServiceDiv">
								<img id = "ServiceImage" src=<?php echo $ServerService->GetImagePath(); ?>>
								</br>
								<?php echo $ServerService->GetName(); ?>
							</div>
						</a>
					</li>
			<?php } ?>
		</ul>
	</body>
</html>